Bug 11633 - KDE kscd SHELL Environmental Variable Vulnerability
Summary: KDE kscd SHELL Environmental Variable Vulnerability
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdemultimedia (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-24 15:35 UTC by Matthew Miller
Modified: 2018-08-20 17:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-24 15:35:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2000-05-24 15:35:41 UTC
From bugtraq. http://www.securityfocus.com/vdb/bottom.html?vid=1206

kscd is a CD player for the KDE desktop, a popular window manager for X11,
and is part of the KDE multimedia package. This application is installed
setuid 'disk'. kscd blindly uses the  contents of the 'SHELL' variable to
execute a browser. As such, it is possible to alter the contents of the
SHELL variable to execute something other than the shell. As such, it is
possible to use kscd to obtain a setuid disk shell. Using these privileges,
along with code provided in the exploit, it is possible to change
attributes on raw disks. This in turn allows an attacker to create a root
shell, thus compromising the integrity of the machine.

Comment 1 Bernhard Rosenkraenzer 2000-06-23 11:38:57 UTC
Since we aren't shipping kscd setuid or setgid anything, this bug can not be
exploited on Red Hat Linux, all you can do is have kscd exec a different program
as itself.


Comment 2 openshift-github-bot 2018-08-20 17:05:05 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/180cb28a807b0d529523bf0cbba5a64c0ca56422
Merge pull request #11647 from bmcelvee/issue11633

Issue-11633 Update Image Policy Link


Note You need to log in before you can comment on or make changes to this bug.